Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157810 - eclipse throws exception when importing existing project
Summary: eclipse throws exception when importing existing project
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: eclipse-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-16 02:57 UTC by Brian G. Anderson
Modified: 2008-08-02 23:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-05 19:55:17 UTC


Attachments (Terms of Use)
Log file containing stack trace (deleted)
2005-05-16 03:00 UTC, Brian G. Anderson
no flags Details

Description Brian G. Anderson 2005-05-16 02:57:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Fedora/1.0.4-2 Firefox/1.0.4

Description of problem:
When I try to import an existing project into eclipse it throws an exception.  This exception is only reported in the log.  There is no indication to the user of eclipse except that a project that is there doesn't show up.

The project I'm importing was created by eclipse 3.1M6 on a FC3 machine.

Version-Release number of selected component (if applicable):
eclipse-platform-3.1.0_fc-0.M6.16

How reproducible:
Always

Steps to Reproduce:
1. try and import a project
2.
3.
  

Actual Results:  The UI failed to show the project once I browsed to the project root directory.  I have to cancel out.  The log file shows an exception

Expected Results:  After browsing to the project root directory, the UI should have showed me the project there and allowd

Additional info:

I will attach the log file with the stack trace

Comment 1 Brian G. Anderson 2005-05-16 03:00:04 UTC
Created attachment 114403 [details]
Log file containing stack trace

Comment 2 Aaron Luchko 2005-05-16 22:05:12 UTC
This might be due some bugs that are fixed in the upstream version of the patch,
I'll update the patch and commit it tomorrow

Comment 3 Aaron Luchko 2005-05-25 17:42:21 UTC
I decided to wait for M7 to be pushed out with the latest patch.  Does the
latest version of eclipse still have the problem?

Comment 4 Brian G. Anderson 2005-05-27 16:50:28 UTC
No it seems to have gone away.  So this bug is has gone away.  However, now
loading ant build.xml files crashes the ant compiler so I have to file that as a
bug and I still can't get a working compile.  Sigh...

Comment 5 Andrew Overholt 2005-06-06 20:00:13 UTC
Brian,

Are you still tracking rawhide?  I think the ant issues have now been fixed but
please let me know if they persist.

Comment 6 Andrew Overholt 2006-10-05 19:55:17 UTC
This bug is filed against FC3/4 which is no longer supported.  Please re-test with
FC5 or FC6 and reopen the bug if the problem still exists.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.